Subject: Re: many sockets, slow sendto

From: Andi Kleen <[email-masked]>
Date: 06 Mar 2007 20:23:55 +0100

Zaccomer Lajos <[email-masked]> writes:

> I'm playing around with a simulation, in which many thousands of IP
> 
> addresses (on interface aliases) are used to send/receive TCP/UDP

Something seems to be wrong with your emailer. It adds a empty
line between each real line.

> 
> packets. I noticed that the time of send/sendto increased linearly
> 
> with the number of file descriptors, and I found it rather strange.

Yes that is strange. I would suggest you use oprofile to identify which
parts of the kernel use the CPU time with many descriptors.

-Andi